=== debian/changelog ===
ros-melodic-moveit-ros-planning-interface (1.0.7-1stretch) stretch; urgency=high

  * [feature] Python interface improvements. (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [feature] Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * [feature] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)
  * [feature] Added GILRelease to pick and place (#2272 <https://github.com/ros-planning/moveit/issues/2272>)
  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: AndyZe, Bjar Ne, Felix von Drigalski, Gerard Canal, Peter Mitrano, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.6-1stretch) stretch; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10, Fix warnings
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Markus Vieth, Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.5-1stretch) stretch; urgency=high

  * [maint]   Remove dependency on panda_moveit_config (#2194 <https://github.com/ros-planning/moveit/issues/2194>`_, #2197 <https://github.com/ros-planning/moveit/issues/2197>`_)
  * [maint]   Adapt linking to eigenpy (#2118 <https://github.com/ros-planning/moveit/issues/2118>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [feature] PlanningComponent: Load plan_request_params (#2033 <https://github.com/ros-planning/moveit/issues/2033>)
  * [feature] MoveItCpp: a high-level C++ planning API (#1656 <https://github.com/ros-planning/moveit/issues/1656>)
  * [fix]     Validate action client pointer before access
  * [fix]     Wait and check for the grasp service
  * [maint]   Add tests for move_group interface (#1995 <https://github.com/ros-planning/moveit/issues/1995>)
  * Contributors: AndyZe, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver, Yeshwanth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.3-1stretch) stretch; urgency=high

  * [feature] MoveGroupInterface: Add execution methods for moveit_msgs::RobotTrajectory (#1955 <https://github.com/ros-planning/moveit/issues/1955>)
  * [feature] Allow to instantiate a PlanningSceneInterface w/ and w/o a running move_group node
  * [fix]     Release Python GIL for C++ calls (#1947 <https://github.com/ros-planning/moveit/issues/1947>)
  * [feature] Expose reference_point_position parameter in getJacobian() (#1595 <https://github.com/ros-planning/moveit/issues/1595>)
  * [feature] MoveGroupInterface: Expose constructPickGoal and constructPlaceGoal (#1498 <https://github.com/ros-planning/moveit/issues/1498>)
  * [feature] python MoveGroupInterface: Added custom time limit for wait_for_servers() (#1444 <https://github.com/ros-planning/moveit/issues/1444>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [feature] Export moveit_py_bindings_tools library
  * [maint]   Fix various build issues on Windows
    * Use .pyd as the output suffix for Python module on Windows. (#1637 <https://github.com/ros-planning/moveit/issues/1637>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint]   Updated deprecation method: MOVEIT_DEPRECATED -> [[deprecated]] (#1748 <https://github.com/ros-planning/moveit/issues/1748>)
  * [maint]   eigenpy: switched to system package (#1737 <https://github.com/ros-planning/moveit/issues/1737>)
  * [featue]  PlanningSceneInterface: wait for its two services
  * [feature] Select time parametrization algorithm in retime_trajectory (#1508 <https://github.com/ros-planning/moveit/issues/1508>)
  * Contributors: Bjar Ne, Felix von Drigalski, Kunal Tyagi, Luca Rinelli, Masaki Murooka, Michael Görner, Niklas Fiedler, Robert Haschke, Sean Yen, Yu, Yan, mvieth, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.2-1stretch) stretch; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)

