## ros-melodic-moveit-ros-planning-interface 1.0.11

=== debian/changelog ===
ros-melodic-moveit-ros-planning-interface (1.0.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.9-1bionic) bionic; urgency=high

  * Use mailto:moveit-resources@master (#2951 <https://github.com/ros-planning/moveit/issues/2951>)
    
      * Simplify launch files to use the test_environment.launch files from mailto:moveit_resources@master
      * Provide compatibility to the Noetic-style configuration of (multiple) planning pipelines
        Only a single pipeline can be used at a time, specified via the ~default_planning_pipeline parameter.
    
  * Add missing noexcept declarations (#3016 <https://github.com/ros-planning/moveit/issues/3016>)
  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Revert "Fix scaling factor parameter names" (#2907 <https://github.com/ros-planning/moveit/issues/2907>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.8-1bionic) bionic; urgency=high

  * planning_interface: synchronize async interfaces in test (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
  * Print an error indicating that the planning pipelines are empty before returning (#2639 <https://github.com/ros-planning/moveit/issues/2639>)
  * Fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
  * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Improve robustness of move group interface test (#2484 <https://github.com/ros-planning/moveit/issues/2484>)
  * Fix scaling factor parameter names (#2452 <https://github.com/ros-planning/moveit/issues/2452>)
  * Contributors: Luc Bettaieb, Boston Cleek, Jafar Abdi, Michael Görner, Peter Mitrano, Shota Aoki, Tyler Weaver

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.7-1bionic) bionic; urgency=high

  * [feature] Python interface improvements. (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [feature] Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * [feature] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)
  * [feature] Added GILRelease to pick and place (#2272 <https://github.com/ros-planning/moveit/issues/2272>)
  * [feature] Add missing variants of place from list of PlaceLocations and Poses in the python interface (#2231 <https://github.com/ros-planning/moveit/issues/2231>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: AndyZe, Bjar Ne, Felix von Drigalski, Gerard Canal, Peter Mitrano, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.6-1bionic) bionic; urgency=high

  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10, Fix warnings
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [feature] Exposed parameter wait_for_servers and getPlannerId() API in MoveGroup's Python API (#2201 <https://github.com/ros-planning/moveit/issues/2201>)
  * Contributors: Gerard Canal, Markus Vieth, Robert Haschke, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.5-1bionic) bionic; urgency=high

  * [maint]   Remove dependency on panda_moveit_config (#2194 <https://github.com/ros-planning/moveit/issues/2194>`_, #2197 <https://github.com/ros-planning/moveit/issues/2197>`_)
  * [maint]   Adapt linking to eigenpy (#2118 <https://github.com/ros-planning/moveit/issues/2118>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [feature] PlanningComponent: Load plan_request_params (#2033 <https://github.com/ros-planning/moveit/issues/2033>)
  * [feature] MoveItCpp: a high-level C++ planning API (#1656 <https://github.com/ros-planning/moveit/issues/1656>)
  * [fix]     Validate action client pointer before access
  * [fix]     Wait and check for the grasp service
  * [maint]   Add tests for move_group interface (#1995 <https://github.com/ros-planning/moveit/issues/1995>)
  * Contributors: AndyZe, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Tyler Weaver, Yeshwanth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-planning-interface (1.0.3-1bionic) bionic; urgency=high

  * [feature] MoveGroupInterface: Add execution methods for moveit_msgs::RobotTrajectory (#1955 <https://github.com/ros-planning/moveit/issues/1955>)
  * [feature] Allow to instantiate a PlanningSceneInterface w/ and w/o a running move_group node
  * [fix]     Release Python GIL for C++ calls (#1947 <https://github.com/ros-planning/moveit/issues/1947>)

